Added
- New Get call charges usage report APIs:
GET /v2/phone/reports/call_charges
- New Get group phone settings APIs:
GET /v2/phone/groups/{groupId}/settings
- New Webhook event:
phone.blind_transfer_initiatedphone.warm_transfer_completedphone.warm_transfer_initiatedphone.group_settings_updatedphone.account_settings_updated
Enhancements
- New
session_typerequest field in the following SMS APIs:GET /v2/phone/users/{userID}/sms/sessionsGET /v2/accounts/{accountId}/phone/users/{userId}/sms/sessions/syncGET /v2/accounts/{accountID}/phone/users/{userID}/sms/sessionsGET /v2/phone/users/{userID}/sms/sessions/syncGET /v2/accounts/[accountID}/phone/sms/sessionsGET /v2/phone/sms/sessions
- New
keywordquery parameter in the following List Zoom Rooms under **Zoom Phone licenses **APIs:GET /v2/accounts/{accountsId}/phone/roomsGET /v2/phone/rooms
- New
keywordquery parameter in the following List Devices APIs:GET /v2/phone/devicesGET /v2/accounts/{accountsID}/phone/devices
- New
source_auto_receptionist_idrequest field in Create A Phone Site APIPOST /v2/phone/sites
- New option value pending to status query parameter in the Users
API:
GET /v2/phone/users
- New option value
assign_pending_usersto thebatch_type requestfield in the Users API:PUT /v2/phone/users/batch
Bug Fixes
- Fixed
Update a call handling settingAPI to setaudio_idfor Auto Receptionist:PATCH v2/phone/extension/{extensionId}/call_handling/settings/{settingType}
